Subject: bug#70090: Build failure

From: Konrad Podczeck <[email-masked]>
Date: Tue, 30 Apr 2024 13:44:47 +0200

This time I get a build failure with /laim/list.el

Loading leim/leim-list.el (source)...

Error: error ("Invalid byte opcode: op=0, ptr=0")
  cconv-make-interpreted-closure(nil ((progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil t))) (t) nil nil)
  (function (lambda nil (progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil t))))
  (eval-after-load "quail/PY-b5" #'(lambda nil (progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil t))))
  eval-buffer(#<buffer  *load*> nil "leim/leim-list.el" nil t)
  load-with-code-conversion("/Users/konradpodczeck/documents/emacs/lisp/leim/leim-list.el" "leim/leim-list.el" t nil)
  load("leim/leim-list.el" t)
  load("loadup.el")
Invalid byte opcode: op=0, ptr=0
make[1]: *** [emacs.pdmp] Error 255
make: *** [src] Error 2

> Am 10.04.2024 um 13:22 schrieb Eli Zaretskii <[email-masked]>:
> 
>> From: Konrad Podczeck <[email-masked]>
>> Date: Wed, 10 Apr 2024 09:58:59 +0200
>> Cc: [email-masked]
>> 
>> With the code from today, 9.00 MEZ, I got the following error message, while trying to make a new build of Emacs 30:
>> 
>> 
>> In toplevel form:
>> cedet/semantic/wisent/python.el:30:11: Error: Symbol’s function definition is void: define-skeleton
>> make[3]: *** [cedet/semantic/wisent/python.elc] Error 1
>> make[2]: *** [compile-main] Error 2
>> make[1]: *** [lisp] Error 2
>> ***
>> *** "make all" failed with exit status 2.
>> ***
>> *** You could try to:
>> *** - run "make bootstrap", which might fix the problem
>> *** - run "make V=1", which displays the full commands invoked by make,
>> ***   to further investigate the problem
>> ***
>> make[1]: *** [advice-on-failure] Error 2
>> make: *** [all] Error 2
>> 
>> 
>> 
>> 
>> After doing "make bootstrap", the error maessage was as follows:
>> 
>> 
>> Error: error ("Eager macro-expansion failure: (error \"(require cl-lib) while preparing to dump\")")
>>  signal(error ("Eager macro-expansion failure: (error \"(require cl-lib) while preparing to dump\")"))
>>  error("Eager macro-expansion failure: %S" (error "(require cl-lib) while preparing to dump"))
>>  internal-macroexpand-for-load((eval-when-compile (require 'cl-lib)) nil)
>>  eval-buffer(#<buffer  *load*> nil "emacs-lisp/ring.el" nil t)
>>  load-with-code-conversion("/Users/konradpodczeck/Documents/emacs/lisp/emacs-lisp/ring.el" "emacs-lisp/ring.el" nil nil)
>>  load("emacs-lisp/ring")
>>  load("loadup.el")
>> Eager macro-expansion failure: (error "(require cl-lib) while preparing to dump")
> 
> I don't understand how you get that, since loadup.el doesn't load
> emacs-lisp/ring.  Maybe try cleaning up your source tree.